News: Welcome to the TinyPortal Support site.

Login  |  Register
HTML5 Icon HTML5 Icon HTML5 Icon
TP on Social Media
Welcome, Guest. Please login or register.
Did you miss your activation email?

December 10, 2019, 04:16:10 AM

Login with username, password and session length

Recent

Members
Stats
  • Total Posts: 189279
  • Total Topics: 20775
  • Online Today: 111
  • Online Ever: 629
  • (November 08, 2018, 01:36:54 PM)
Users Online
Users: 0
Guests: 53
Total: 53

Author Topic: Clarification re TP 1.0 and SMF 2.07  (Read 13256 times)

0 Members and 1 Guest are viewing this topic.

Offline welshdog

  • Jr. Member
  • **
  • Posts: 18
Clarification re TP 1.0 and SMF 2.07
« on: May 01, 2014, 11:26:37 PM »
Link to my forum: http://www.australianopinion.com.au/
SMF version: SMF ver. 2.0.7
TP version: TP ver. 1.0 (Final)
Default Forum Language: English
Theme name and version: SMF Default
Browser Name and Version: Chrome... whatever v it is.
Mods installed:
Related Error messages: /Sources/Query/String etc

Just uploaded the 'full upgrade' of SMF 2.0.7 to my site to recover it after a Mod uninstall caused some grief. Went to reinstall my Mods, includingTP and got the error message.

All the topics I've read about the 'query' installation issue suggest removing/uninstalling the 2.0.6 to 2.0.7 patch, installing TP and re-applying the patch. My problem is I'm not so sure this will work on my site as I already had the 2.0.7 upgrade installed (with TP working) when the site crashed and now I've copied over all the files anew the 'patch' is essentially not installed as such.

If I can 'simply' reinstall TP I assume it will do again what it has done in the past, i.e. go get it's database, reconnect and work flawlessly. But I'm a bit stuck. We've been using TP in its various forms for many years (maybe 9 or so?) and I really don't want to lose the functionality. Is there a simple way to overcome the problem please??

Edit: I was wondering if it was possible to use the Emulation function in SMF to install TP under 2.0.6??
« Last Edit: May 02, 2014, 12:29:25 AM by welshdog »

Offline Maxx1

  • Sr. Member
  • ****
  • Posts: 352
  • Learning To Fly
    • SMF Theme & Portal Testing
Re: Clarification re TP 1.0 and SMF 2.07
« Reply #1 on: May 02, 2014, 04:42:12 AM »
Just so some will know, I have installed the TP with the error mentioned to several sites without issues, on the SMF 2.0.7 and all is working fine. But it is up to you to try. But for me it's just fine, I may investigate the error later though there maybe something done on a work around not sure, you may want to search.

It' just that one error correct?

regards,
Maxx
« Last Edit: May 02, 2014, 11:32:16 AM by Maxx1 »
But Mama, That's Where all the fun is!

Offline welshdog

  • Jr. Member
  • **
  • Posts: 18
Re: Clarification re TP 1.0 and SMF 2.07
« Reply #2 on: May 02, 2014, 06:22:23 AM »
It' just that one error correct?

Yes just the one error. The Mod shows up on my list a version 1.107 I hope that *is* the current version?

The error is displayed as follows:

13.   Execute Modification   ./Sources/QueryString.php   Test failed
   1.   Replace   ./Sources/QueryString.php   Test failed

I have no idea what that instruction means anyway but I'm willing to give is another go and continue the installation. The worst that will happen is I have to reinstall the large update to get the site online again... I hope. :)

Thanks for the feedback.

Offline welshdog

  • Jr. Member
  • **
  • Posts: 18
Re: Clarification re TP 1.0 and SMF 2.07
« Reply #3 on: May 02, 2014, 06:42:16 AM »
Thanks for the feedback.

Went off, installed, ignored the warning and... all seems well so far. :)

Thanks for the feedback and giving me confidence to try it out. Fingers crossed all will be well from here on in.

Problem solved.

Offline IchBin™

  • Developer
  • *
  • Posts: 16228
    • My Website
Re: Clarification re TP 1.0 and SMF 2.07
« Reply #4 on: May 02, 2014, 08:28:10 AM »
You can make the edit manually after you have completed your install.

Offline Maxx1

  • Sr. Member
  • ****
  • Posts: 352
  • Learning To Fly
    • SMF Theme & Portal Testing
Re: Clarification re TP 1.0 and SMF 2.07
« Reply #5 on: May 02, 2014, 11:34:06 AM »
Thanks Brad, I thought so but, was not certain on the edit.. :)

regards,
Maxx
But Mama, That's Where all the fun is!

Offline ZarPrime

  • Friends
  • *
  • Posts: 4653
Re: Clarification re TP 1.0 and SMF 2.07
« Reply #6 on: May 02, 2014, 03:22:50 PM »
Version 1.1, which fixes this issue will be released soon.  At this point, we are still doing some minor testing, and then it will be released to the public.  I'm guessing that perhaps we need to post the required edit for the QueryString.php file for TP 1.0 in a sticky topic, maybe even in the News board so that it will be on the FrontPage here.  That way, we can keep from having to continually answer questions about the edit until we can get TP 1.1 out.

@Brad, @ Lurkalot, what do you guys think about that?

ZarPrime

Offline lurkalot

  • Administrator
  • *
  • Posts: 6355
    • Camera Craniums
Re: Clarification re TP 1.0 and SMF 2.07
« Reply #7 on: May 03, 2014, 01:27:34 AM »

@Brad, @ Lurkalot, what do you guys think about that?

ZarPrime

I'm fine with that Zar.  O0  Although (as you already know) whoever installs TP, or any package which needs edits will be shown the edit required directly from the install page. I guess this problem will arise with people who are new to SMF, and don't realise..

Offline sturmkatze

  • Sr. Member
  • ****
  • Posts: 350
    • reenactor.Net
Re: Clarification re TP 1.0 and SMF 2.07
« Reply #8 on: May 12, 2014, 11:12:28 AM »
Version 1.1, which fixes this issue will be released soon.  At this point, we are still doing some minor testing, and then it will be released to the public.  I'm guessing that perhaps we need to post the required edit for the QueryString.php file for TP 1.0 in a sticky topic, maybe even in the News board so that it will be on the FrontPage here.  That way, we can keep from having to continually answer questions about the edit until we can get TP 1.1 out.
Where can I find the manual updates I need to make after the  ???install?

Offline Maxx1

  • Sr. Member
  • ****
  • Posts: 352
  • Learning To Fly
    • SMF Theme & Portal Testing
Re: Clarification re TP 1.0 and SMF 2.07
« Reply #9 on: May 12, 2014, 01:25:08 PM »
Here ya go> drop down window on right side select by version

http://custom.simplemachines.org/mods/index.php?mod=97

regards,
Maxx
But Mama, That's Where all the fun is!

Offline sturmkatze

  • Sr. Member
  • ****
  • Posts: 350
    • reenactor.Net
Re: Clarification re TP 1.0 and SMF 2.07
« Reply #10 on: May 12, 2014, 01:52:31 PM »
Thanks Maxx, Question though, I thought I had read that I could do it through SMF, and then just need to update one file (QueryString.php)? Is that correct???

I am not  a programmer at all. I DO wish I had come here before the update, as i would have just done 2.0.6 >:-o Too much to remember.

Offline sturmkatze

  • Sr. Member
  • ****
  • Posts: 350
    • reenactor.Net
Re: Clarification re TP 1.0 and SMF 2.07
« Reply #11 on: May 12, 2014, 02:19:26 PM »
Ach so, GOT IT. Thanks.  ;)

Offline darkangel

  • Beta Tester
  • *
  • Posts: 347
Re: Clarification re TP 1.0 and SMF 2.07
« Reply #12 on: July 31, 2014, 06:49:50 PM »
I got that error too and it just said the name of the query file and that the code failed to be placed.

I was going to leave as is but that bugs me...LOL so when I found out that I could apply the code to the file manually I did it. the TP is working bootifully as it always does.''will be happy when the new version is out too.


Thanks Maxx that is exactly the code I inserted into my querystring file from the zip files.
Fantasies Realm  | Fantasy Attic

SMF 2.0.15 | TP 1.2 | many mod addons | variety of themes

Offline adambean

  • Jr. Member
  • **
  • Posts: 7
Re: Clarification re TP 1.0 and SMF 2.07
« Reply #13 on: February 01, 2015, 10:40:00 AM »
Here ya go> drop down window on right side select by version

http://custom.simplemachines.org/mods/index.php?mod=97

regards,
Maxx

Hi Maxx, after installing TP 1.08 on SMF 2.09, I had the issues that others are having. Found this post and followed your link ... yet the changes proposed on QueryString.php are no different than that of the source. Am I missing something here?

Thanks

Offline WillyP

  • Support Team
  • *
  • Posts: 769
    • Planet Descent
Re: Clarification re TP 1.0 and SMF 2.07
« Reply #14 on: February 01, 2015, 06:08:00 PM »
Maxx is no longer providing support here. And please do not hijack threads, it makes it difficult to help you.

Offline ZarPrime

  • Friends
  • *
  • Posts: 4653
Re: Clarification re TP 1.0 and SMF 2.07
« Reply #15 on: February 02, 2015, 12:36:54 PM »
Adambean,

Since this topic was last posted in over 6 months ago, it would make sense for you to start a topic of your own if you are having an issue. Oh, and you might want to check to be sure which version of Tinyportal you are actually using. 1.08 is the version we are using here, and it hasn't been released to the public yet.

Zarprime

Offline darkangel

  • Beta Tester
  • *
  • Posts: 347
Re: Clarification re TP 1.0 and SMF 2.07
« Reply #16 on: February 02, 2015, 12:49:00 PM »
Thanks for putting the current version number in the post ZP, I did not realize we were at 1.08 already and have 1.07 installed everywhere. I needs to update.

goodness their site is slow today. I noticed that the version numbers there only go up to 2.04 of SMF though
Fantasies Realm  | Fantasy Attic

SMF 2.0.15 | TP 1.2 | many mod addons | variety of themes

Offline ZarPrime

  • Friends
  • *
  • Posts: 4653
Re: Clarification re TP 1.0 and SMF 2.07
« Reply #17 on: February 02, 2015, 08:13:45 PM »
Thanks for putting the current version number in the post ZP, I did not realize we were at 1.08 already and have 1.07 installed everywhere. I needs to update.

goodness their site is slow today. I noticed that the version numbers there only go up to 2.04 of SMF though

Good to see you Darkangel. When we speak of 1.08 versus 1.07, it can be a little confusing to most people. Version 1.07 is the internal version number for Tinyportal 1.0 Final, whereas version 1.08 is the internal version number for Tinyportal 1.1, which should probably be considered a beta version. Because of this, 1.08 should not be used for a live forum yet without understanding that being able to return to 1.07 is impossible unless you have made full backups of both SMF & Tinyportal. This is because of the massive code changes that have been made for TP 1.1 to take advantage of the hooks in SMF.

Offline darkangel

  • Beta Tester
  • *
  • Posts: 347
Re: Clarification re TP 1.0 and SMF 2.07
« Reply #18 on: February 02, 2015, 08:17:55 PM »
That's right, I remember now...LOL then I am current after all. YAY

now if the internet company could figure out why my net will boot me off regardless of wireless or hard wired.
Fantasies Realm  | Fantasy Attic

SMF 2.0.15 | TP 1.2 | many mod addons | variety of themes